classification
Title: fix_callable should be dropped from lib2to3 / changed
Type: behavior Stage: resolved
Components: 2to3 (2.x to 3.x conversion tool) Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: SilentGhost, benjamin.peterson, eric.araujo, ezio.melotti, flox, pitrou, terry.reedy
Priority: normal Keywords:

Created on 2011-03-08 16:08 by SilentGhost, last changed 2016-01-09 14:12 by SilentGhost. This issue is now closed.

Messages (5)
msg130340 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2011-03-08 16:08
Since the callable return in 3.2, should the fix_callable be dropped from lib2to3 or should it be adjusted to make distinction between 3.1 and 3.2 situation? I'm not sure if latter is possible.
msg130377 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-03-08 21:48
I suspect that this will not be the last time that a fix is version dependent. I think that the 2to3 distributed with 3.x should fix to 3.x. Otherwise, the fix would have to do an 'if version...' dance. (Perhaps the version distributed with 2.7 should do *that*.) But I would defer to those maintaining it.
msg130383 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2011-03-08 22:45
Someone should probably ask python-dev. callable, of course, doesn't work in 3.1.
msg146281 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2011-10-24 07:33
The decision should be left to the user.
IMHO, we could disable this automatic fixer.
msg146409 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-10-26 04:25
Benjamin added a note in d9571fb37269.
I agree with Florent though, if the fixer is disabled by default and people are using 3.1 they will see the error and enable it.
If they aren't 2to3 will correctly leave callable().
History
Date User Action Args
2016-01-09 14:12:41SilentGhostsetstatus: open -> closed
resolution: out of date
stage: resolved
2011-10-27 15:55:29eric.araujosetnosy: + eric.araujo
2011-10-26 04:25:14ezio.melottisetmessages: + msg146409
2011-10-24 07:35:44ezio.melottisetnosy: + ezio.melotti
2011-10-24 07:33:54floxsetmessages: + msg146281
2011-10-24 07:29:52floxsetnosy: + flox
type: behavior
2011-03-08 22:45:16benjamin.petersonsetnosy: terry.reedy, pitrou, benjamin.peterson, SilentGhost
messages: + msg130383
2011-03-08 21:48:57terry.reedysetnosy: + terry.reedy
messages: + msg130377
2011-03-08 21:45:03terry.reedysetnosy: + benjamin.peterson
2011-03-08 16:08:07SilentGhostcreate